/* $Header: /private/postgres/src/lib/H/planner/RCS/initsplan.h,v 1.6 1991/11/15 16:22:38 hong Exp $ */

extern void initialize_targetlist ARGS((LispValue tlist));
extern void initialize_qualification ARGS((LispValue clauses));
extern void add_clause_to_rels ARGS((LispValue clause));
extern void add_join_clause_info_to_rels ARGS((CInfo clauseinfo, LispValue join_relids));
extern void add_vars_to_rels ARGS((List vars, List join_relids));
extern void initialize_join_clause_info ARGS((LispValue rel_list));
extern MergeOrder mergesortop ARGS((LispValue clause));
extern ObjectId hashjoinop ARGS((LispValue clause));
